mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.ICloneable A first in, first out collection of objects.

is not thread-safe until it has been synchronized via the function call.

- Constructor
  Creates an empty queue
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added: an object of type 'ICollection'
  Creates a queue from another collection
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added: an object of type 'float'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void Removes all items from the 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object Makes a copy of the A copy of the as a

  The returned is completely independent of the it was created from. This means doing a on the copy does not on the original .

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to check for in the Find whether a is in a Returns true if found and false if not found. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` A to copy the conents of the to A of the index in the to start copying the to Copies a portion of to a at a particular index. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 Number of elements in the To be added: an object of type 'int' This is 'read-only' 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object Removes an item from the The first in the 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to add to the Adds an item to the 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IEnumerator To be added To be added: an object of type 'IEnumerator' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' A synchronized is thread-safe. To obtain a synchronized Queue, you can call the method.

  This is 'read-only'.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.Queue `` The to make a thread-safe version of Makes a thread-safe queue. The thread-safe version of the passed in. `using System.Collections; Queue NonThreadSafeQueue = new Queue(); Queue ThreadSafeQueue = Queue.Synchronized(NonThreadSafeQueue);`

  A Queue can be tested for thread-safeness through the property.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] Converts a to a Returns a with the same items as the The is not changed. The first item in the is the oldest item in the 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
System.Diagnostics.DebuggerDisplay("Count={Count}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Collections.CollectionDebuggerView)) System.Runtime.InteropServices.ComVisible(true)